# Datasets from the mlbench library

# load the library
library(mlbench)

# list the contents of the library
library(help = "mlbench")

# Boston Housing dataset
data(BostonHousing)
dim(BostonHousing)
head(BostonHousing)

write.csv(BostonHousing,"BostonHousing.csv")


# Wisconsin Breast Cancer dataset
data(BreastCancer)
dim(BreastCancer)
levels(BreastCancer$Class)
head(BreastCancer)

write.csv(BreastCancer,"BreastCancer.csv")


# Glass Identification dataset
data(Glass)
dim(Glass)
levels(Glass$Type)
head(Glass)

write.csv(Glass,"Glass.csv")

# Johns Hopkins University Ionosphere dataset
data(Ionosphere)
dim(Ionosphere)
levels(Ionosphere$Class)
head(Ionosphere)

write.csv(Ionosphere,"Ionosphere.csv")

# Pima Indians Diabetes dataset
data(PimaIndiansDiabetes)
dim(PimaIndiansDiabetes)
levels(PimaIndiansDiabetes$diabetes)
head(PimaIndiansDiabetes)

write.csv(PimaIndiansDiabetes,"PimaIndiansDiabetes.csv")

# Sonar, Mines vs. Rocks dataset
data(Sonar)
dim(Sonar)
levels(Sonar$Class)
head(Sonar)

write.csv(Sonar,"Sonar.csv")


# Soybean dataset
data(Soybean)
dim(Soybean)
levels(Soybean$Class)
head(Soybean)

write.csv(Soybean,"Soybean.csv")